ClassEntry (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.lang.classfile.constantpool, interface: ClassEntry
Keywords: java.lang.classfile.constantpool.ClassEntry interface

# Interface ClassEntry

All Superinterfaces:
  `ClassFileElementPREVIEW`, `LoadableConstantEntryPREVIEW`, `PoolEntryPREVIEW`, `WritableElementPREVIEW<PoolEntryPREVIEW>`

public sealed interface ClassEntry extends LoadableConstantEntryPREVIEW
`ClassEntry` is a preview API of the Java platform.
Programs can only use `ClassEntry` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models a `CONSTANT_Class_info` constant in the constant pool of a classfile.

See Java Virtual Machine Specification:
  4.4.1 The CONSTANT_Class_info Structure
Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `asInternalName()`
  Returns the class name, as an internal binary name.
  `ClassDesc`
  `asSymbol()`
  Returns the class name, as a symbolic descriptor.
  `default ConstantDesc`
  `constantValue()`
  Returns the constant described by this entry.
  `Utf8EntryPREVIEW`
  `name()`
  Returns the UTF8 constant pool entry for the class name.

  ### Methods declared in interface java.lang.classfile.constantpool.LoadableConstantEntryPREVIEW

  `typeKind`

  ### Methods declared in interface java.lang.classfile.constantpool.PoolEntryPREVIEW

  `constantPool, index, tag, width`

  ### Methods declared in interface java.lang.classfile.WritableElementPREVIEW

  `writeTo`

- ## Method Details

  - ### constantValue

    default ConstantDesc constantValue()
    Description copied from interface: `LoadableConstantEntry`
    Returns the constant described by this entry.
    Specified by:
      `constantValue` in interface `LoadableConstantEntryPREVIEW`
    Returns:
      the constant described by this entry

  - ### name

    Utf8EntryPREVIEW name()
    Returns the UTF8 constant pool entry for the class name.
    Returns:
      the UTF8 constant pool entry for the class name

  - ### asInternalName

    String asInternalName()
    Returns the class name, as an internal binary name.
    Returns:
      the class name, as an internal binary name

  - ### asSymbol

    ClassDesc asSymbol()
    Returns the class name, as a symbolic descriptor.
    Returns:
      the class name, as a symbolic descriptor